Index: /XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 966)
@@ -56,5 +56,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
-      CALL xios(get_domaingroup_handle)(domaingroup_id,domaingroup_hdl)
+      CALL xios(get_domaingroup_handle) &
+      (domaingroup_id,domaingroup_hdl)
       CALL xios(set_domaingroup_attr_hdl_)   &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
@@ -163,93 +164,116 @@
 
       IF (PRESENT(area_)) THEN
-        CALL cxios_set_domaingroup_area(domaingroup_hdl%daddr, area_, SHAPE(area_))
+        CALL cxios_set_domaingroup_area &
+      (domaingroup_hdl%daddr, area_, SHAPE(area_))
       ENDIF
 
       IF (PRESENT(bounds_lat_1d_)) THEN
-        CALL cxios_set_domaingroup_bounds_lat_1d(domaingroup_hdl%daddr, bounds_lat_1d_, SHAPE(bounds_lat_1d_))
+        CALL cxios_set_domaingroup_bounds_lat_1d &
+      (domaingroup_hdl%daddr, bounds_lat_1d_, SHAPE(bounds_lat_1d_))
       ENDIF
 
       IF (PRESENT(bounds_lat_2d_)) THEN
-        CALL cxios_set_domaingroup_bounds_lat_2d(domaingroup_hdl%daddr, bounds_lat_2d_, SHAPE(bounds_lat_2d_))
+        CALL cxios_set_domaingroup_bounds_lat_2d &
+      (domaingroup_hdl%daddr, bounds_lat_2d_, SHAPE(bounds_lat_2d_))
       ENDIF
 
       IF (PRESENT(bounds_lon_1d_)) THEN
-        CALL cxios_set_domaingroup_bounds_lon_1d(domaingroup_hdl%daddr, bounds_lon_1d_, SHAPE(bounds_lon_1d_))
+        CALL cxios_set_domaingroup_bounds_lon_1d &
+      (domaingroup_hdl%daddr, bounds_lon_1d_, SHAPE(bounds_lon_1d_))
       ENDIF
 
       IF (PRESENT(bounds_lon_2d_)) THEN
-        CALL cxios_set_domaingroup_bounds_lon_2d(domaingroup_hdl%daddr, bounds_lon_2d_, SHAPE(bounds_lon_2d_))
+        CALL cxios_set_domaingroup_bounds_lon_2d &
+      (domaingroup_hdl%daddr, bounds_lon_2d_, SHAPE(bounds_lon_2d_))
       ENDIF
 
       IF (PRESENT(data_dim_)) THEN
-        CALL cxios_set_domaingroup_data_dim(domaingroup_hdl%daddr, data_dim_)
+        CALL cxios_set_domaingroup_data_dim &
+      (domaingroup_hdl%daddr, data_dim_)
       ENDIF
 
       IF (PRESENT(data_i_index_)) THEN
-        CALL cxios_set_domaingroup_data_i_index(domaingroup_hdl%daddr, data_i_index_, SHAPE(data_i_index_))
+        CALL cxios_set_domaingroup_data_i_index &
+      (domaingroup_hdl%daddr, data_i_index_, SHAPE(data_i_index_))
       ENDIF
 
       IF (PRESENT(data_ibegin_)) THEN
-        CALL cxios_set_domaingroup_data_ibegin(domaingroup_hdl%daddr, data_ibegin_)
+        CALL cxios_set_domaingroup_data_ibegin &
+      (domaingroup_hdl%daddr, data_ibegin_)
       ENDIF
 
       IF (PRESENT(data_j_index_)) THEN
-        CALL cxios_set_domaingroup_data_j_index(domaingroup_hdl%daddr, data_j_index_, SHAPE(data_j_index_))
+        CALL cxios_set_domaingroup_data_j_index &
+      (domaingroup_hdl%daddr, data_j_index_, SHAPE(data_j_index_))
       ENDIF
 
       IF (PRESENT(data_jbegin_)) THEN
-        CALL cxios_set_domaingroup_data_jbegin(domaingroup_hdl%daddr, data_jbegin_)
+        CALL cxios_set_domaingroup_data_jbegin &
+      (domaingroup_hdl%daddr, data_jbegin_)
       ENDIF
 
       IF (PRESENT(data_ni_)) THEN
-        CALL cxios_set_domaingroup_data_ni(domaingroup_hdl%daddr, data_ni_)
+        CALL cxios_set_domaingroup_data_ni &
+      (domaingroup_hdl%daddr, data_ni_)
       ENDIF
 
       IF (PRESENT(data_nj_)) THEN
-        CALL cxios_set_domaingroup_data_nj(domaingroup_hdl%daddr, data_nj_)
+        CALL cxios_set_domaingroup_data_nj &
+      (domaingroup_hdl%daddr, data_nj_)
       ENDIF
 
       IF (PRESENT(domain_ref_)) THEN
-        CALL cxios_set_domaingroup_domain_ref(domaingroup_hdl%daddr, domain_ref_, len(domain_ref_))
+        CALL cxios_set_domaingroup_domain_ref &
+      (domaingroup_hdl%daddr, domain_ref_, len(domain_ref_))
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        CALL cxios_set_domaingroup_group_ref(domaingroup_hdl%daddr, group_ref_, len(group_ref_))
+        CALL cxios_set_domaingroup_group_ref &
+      (domaingroup_hdl%daddr, group_ref_, len(group_ref_))
       ENDIF
 
       IF (PRESENT(i_index_)) THEN
-        CALL cxios_set_domaingroup_i_index(domaingroup_hdl%daddr, i_index_, SHAPE(i_index_))
+        CALL cxios_set_domaingroup_i_index &
+      (domaingroup_hdl%daddr, i_index_, SHAPE(i_index_))
       ENDIF
 
       IF (PRESENT(ibegin_)) THEN
-        CALL cxios_set_domaingroup_ibegin(domaingroup_hdl%daddr, ibegin_)
+        CALL cxios_set_domaingroup_ibegin &
+      (domaingroup_hdl%daddr, ibegin_)
       ENDIF
 
       IF (PRESENT(j_index_)) THEN
-        CALL cxios_set_domaingroup_j_index(domaingroup_hdl%daddr, j_index_, SHAPE(j_index_))
+        CALL cxios_set_domaingroup_j_index &
+      (domaingroup_hdl%daddr, j_index_, SHAPE(j_index_))
       ENDIF
 
       IF (PRESENT(jbegin_)) THEN
-        CALL cxios_set_domaingroup_jbegin(domaingroup_hdl%daddr, jbegin_)
+        CALL cxios_set_domaingroup_jbegin &
+      (domaingroup_hdl%daddr, jbegin_)
       ENDIF
 
       IF (PRESENT(latvalue_1d_)) THEN
-        CALL cxios_set_domaingroup_latvalue_1d(domaingroup_hdl%daddr, latvalue_1d_, SHAPE(latvalue_1d_))
+        CALL cxios_set_domaingroup_latvalue_1d &
+      (domaingroup_hdl%daddr, latvalue_1d_, SHAPE(latvalue_1d_))
       ENDIF
 
       IF (PRESENT(latvalue_2d_)) THEN
-        CALL cxios_set_domaingroup_latvalue_2d(domaingroup_hdl%daddr, latvalue_2d_, SHAPE(latvalue_2d_))
+        CALL cxios_set_domaingroup_latvalue_2d &
+      (domaingroup_hdl%daddr, latvalue_2d_, SHAPE(latvalue_2d_))
       ENDIF
 
       IF (PRESENT(long_name_)) THEN
-        CALL cxios_set_domaingroup_long_name(domaingroup_hdl%daddr, long_name_, len(long_name_))
+        CALL cxios_set_domaingroup_long_name &
+      (domaingroup_hdl%daddr, long_name_, len(long_name_))
       ENDIF
 
       IF (PRESENT(lonvalue_1d_)) THEN
-        CALL cxios_set_domaingroup_lonvalue_1d(domaingroup_hdl%daddr, lonvalue_1d_, SHAPE(lonvalue_1d_))
+        CALL cxios_set_domaingroup_lonvalue_1d &
+      (domaingroup_hdl%daddr, lonvalue_1d_, SHAPE(lonvalue_1d_))
       ENDIF
 
       IF (PRESENT(lonvalue_2d_)) THEN
-        CALL cxios_set_domaingroup_lonvalue_2d(domaingroup_hdl%daddr, lonvalue_2d_, SHAPE(lonvalue_2d_))
+        CALL cxios_set_domaingroup_lonvalue_2d &
+      (domaingroup_hdl%daddr, lonvalue_2d_, SHAPE(lonvalue_2d_))
       ENDIF
 
@@ -257,5 +281,6 @@
         ALLOCATE(mask_1d__tmp(SIZE(mask_1d_,1)))
         mask_1d__tmp = mask_1d_
-        CALL cxios_set_domaingroup_mask_1d(domaingroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
+        CALL cxios_set_domaingroup_mask_1d &
+      (domaingroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
       ENDIF
 
@@ -263,37 +288,46 @@
         ALLOCATE(mask_2d__tmp(SIZE(mask_2d_,1), SIZE(mask_2d_,2)))
         mask_2d__tmp = mask_2d_
-        CALL cxios_set_domaingroup_mask_2d(domaingroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
+        CALL cxios_set_domaingroup_mask_2d &
+      (domaingroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_set_domaingroup_name(domaingroup_hdl%daddr, name_, len(name_))
+        CALL cxios_set_domaingroup_name &
+      (domaingroup_hdl%daddr, name_, len(name_))
       ENDIF
 
       IF (PRESENT(ni_)) THEN
-        CALL cxios_set_domaingroup_ni(domaingroup_hdl%daddr, ni_)
+        CALL cxios_set_domaingroup_ni &
+      (domaingroup_hdl%daddr, ni_)
       ENDIF
 
       IF (PRESENT(ni_glo_)) THEN
-        CALL cxios_set_domaingroup_ni_glo(domaingroup_hdl%daddr, ni_glo_)
+        CALL cxios_set_domaingroup_ni_glo &
+      (domaingroup_hdl%daddr, ni_glo_)
       ENDIF
 
       IF (PRESENT(nj_)) THEN
-        CALL cxios_set_domaingroup_nj(domaingroup_hdl%daddr, nj_)
+        CALL cxios_set_domaingroup_nj &
+      (domaingroup_hdl%daddr, nj_)
       ENDIF
 
       IF (PRESENT(nj_glo_)) THEN
-        CALL cxios_set_domaingroup_nj_glo(domaingroup_hdl%daddr, nj_glo_)
+        CALL cxios_set_domaingroup_nj_glo &
+      (domaingroup_hdl%daddr, nj_glo_)
       ENDIF
 
       IF (PRESENT(nvertex_)) THEN
-        CALL cxios_set_domaingroup_nvertex(domaingroup_hdl%daddr, nvertex_)
+        CALL cxios_set_domaingroup_nvertex &
+      (domaingroup_hdl%daddr, nvertex_)
       ENDIF
 
       IF (PRESENT(standard_name_)) THEN
-        CALL cxios_set_domaingroup_standard_name(domaingroup_hdl%daddr, standard_name_, len(standard_name_))
+        CALL cxios_set_domaingroup_standard_name &
+      (domaingroup_hdl%daddr, standard_name_, len(standard_name_))
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        CALL cxios_set_domaingroup_type(domaingroup_hdl%daddr, type_, len(type_))
+        CALL cxios_set_domaingroup_type &
+      (domaingroup_hdl%daddr, type_, len(type_))
       ENDIF
 
@@ -345,5 +379,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
-      CALL xios(get_domaingroup_handle)(domaingroup_id,domaingroup_hdl)
+      CALL xios(get_domaingroup_handle) &
+      (domaingroup_id,domaingroup_hdl)
       CALL xios(get_domaingroup_attr_hdl_)   &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
@@ -452,98 +487,122 @@
 
       IF (PRESENT(area_)) THEN
-        CALL cxios_get_domaingroup_area(domaingroup_hdl%daddr, area_, SHAPE(area_))
+        CALL cxios_get_domaingroup_area &
+      (domaingroup_hdl%daddr, area_, SHAPE(area_))
       ENDIF
 
       IF (PRESENT(bounds_lat_1d_)) THEN
-        CALL cxios_get_domaingroup_bounds_lat_1d(domaingroup_hdl%daddr, bounds_lat_1d_, SHAPE(bounds_lat_1d_))
+        CALL cxios_get_domaingroup_bounds_lat_1d &
+      (domaingroup_hdl%daddr, bounds_lat_1d_, SHAPE(bounds_lat_1d_))
       ENDIF
 
       IF (PRESENT(bounds_lat_2d_)) THEN
-        CALL cxios_get_domaingroup_bounds_lat_2d(domaingroup_hdl%daddr, bounds_lat_2d_, SHAPE(bounds_lat_2d_))
+        CALL cxios_get_domaingroup_bounds_lat_2d &
+      (domaingroup_hdl%daddr, bounds_lat_2d_, SHAPE(bounds_lat_2d_))
       ENDIF
 
       IF (PRESENT(bounds_lon_1d_)) THEN
-        CALL cxios_get_domaingroup_bounds_lon_1d(domaingroup_hdl%daddr, bounds_lon_1d_, SHAPE(bounds_lon_1d_))
+        CALL cxios_get_domaingroup_bounds_lon_1d &
+      (domaingroup_hdl%daddr, bounds_lon_1d_, SHAPE(bounds_lon_1d_))
       ENDIF
 
       IF (PRESENT(bounds_lon_2d_)) THEN
-        CALL cxios_get_domaingroup_bounds_lon_2d(domaingroup_hdl%daddr, bounds_lon_2d_, SHAPE(bounds_lon_2d_))
+        CALL cxios_get_domaingroup_bounds_lon_2d &
+      (domaingroup_hdl%daddr, bounds_lon_2d_, SHAPE(bounds_lon_2d_))
       ENDIF
 
       IF (PRESENT(data_dim_)) THEN
-        CALL cxios_get_domaingroup_data_dim(domaingroup_hdl%daddr, data_dim_)
+        CALL cxios_get_domaingroup_data_dim &
+      (domaingroup_hdl%daddr, data_dim_)
       ENDIF
 
       IF (PRESENT(data_i_index_)) THEN
-        CALL cxios_get_domaingroup_data_i_index(domaingroup_hdl%daddr, data_i_index_, SHAPE(data_i_index_))
+        CALL cxios_get_domaingroup_data_i_index &
+      (domaingroup_hdl%daddr, data_i_index_, SHAPE(data_i_index_))
       ENDIF
 
       IF (PRESENT(data_ibegin_)) THEN
-        CALL cxios_get_domaingroup_data_ibegin(domaingroup_hdl%daddr, data_ibegin_)
+        CALL cxios_get_domaingroup_data_ibegin &
+      (domaingroup_hdl%daddr, data_ibegin_)
       ENDIF
 
       IF (PRESENT(data_j_index_)) THEN
-        CALL cxios_get_domaingroup_data_j_index(domaingroup_hdl%daddr, data_j_index_, SHAPE(data_j_index_))
+        CALL cxios_get_domaingroup_data_j_index &
+      (domaingroup_hdl%daddr, data_j_index_, SHAPE(data_j_index_))
       ENDIF
 
       IF (PRESENT(data_jbegin_)) THEN
-        CALL cxios_get_domaingroup_data_jbegin(domaingroup_hdl%daddr, data_jbegin_)
+        CALL cxios_get_domaingroup_data_jbegin &
+      (domaingroup_hdl%daddr, data_jbegin_)
       ENDIF
 
       IF (PRESENT(data_ni_)) THEN
-        CALL cxios_get_domaingroup_data_ni(domaingroup_hdl%daddr, data_ni_)
+        CALL cxios_get_domaingroup_data_ni &
+      (domaingroup_hdl%daddr, data_ni_)
       ENDIF
 
       IF (PRESENT(data_nj_)) THEN
-        CALL cxios_get_domaingroup_data_nj(domaingroup_hdl%daddr, data_nj_)
+        CALL cxios_get_domaingroup_data_nj &
+      (domaingroup_hdl%daddr, data_nj_)
       ENDIF
 
       IF (PRESENT(domain_ref_)) THEN
-        CALL cxios_get_domaingroup_domain_ref(domaingroup_hdl%daddr, domain_ref_, len(domain_ref_))
+        CALL cxios_get_domaingroup_domain_ref &
+      (domaingroup_hdl%daddr, domain_ref_, len(domain_ref_))
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        CALL cxios_get_domaingroup_group_ref(domaingroup_hdl%daddr, group_ref_, len(group_ref_))
+        CALL cxios_get_domaingroup_group_ref &
+      (domaingroup_hdl%daddr, group_ref_, len(group_ref_))
       ENDIF
 
       IF (PRESENT(i_index_)) THEN
-        CALL cxios_get_domaingroup_i_index(domaingroup_hdl%daddr, i_index_, SHAPE(i_index_))
+        CALL cxios_get_domaingroup_i_index &
+      (domaingroup_hdl%daddr, i_index_, SHAPE(i_index_))
       ENDIF
 
       IF (PRESENT(ibegin_)) THEN
-        CALL cxios_get_domaingroup_ibegin(domaingroup_hdl%daddr, ibegin_)
+        CALL cxios_get_domaingroup_ibegin &
+      (domaingroup_hdl%daddr, ibegin_)
       ENDIF
 
       IF (PRESENT(j_index_)) THEN
-        CALL cxios_get_domaingroup_j_index(domaingroup_hdl%daddr, j_index_, SHAPE(j_index_))
+        CALL cxios_get_domaingroup_j_index &
+      (domaingroup_hdl%daddr, j_index_, SHAPE(j_index_))
       ENDIF
 
       IF (PRESENT(jbegin_)) THEN
-        CALL cxios_get_domaingroup_jbegin(domaingroup_hdl%daddr, jbegin_)
+        CALL cxios_get_domaingroup_jbegin &
+      (domaingroup_hdl%daddr, jbegin_)
       ENDIF
 
       IF (PRESENT(latvalue_1d_)) THEN
-        CALL cxios_get_domaingroup_latvalue_1d(domaingroup_hdl%daddr, latvalue_1d_, SHAPE(latvalue_1d_))
+        CALL cxios_get_domaingroup_latvalue_1d &
+      (domaingroup_hdl%daddr, latvalue_1d_, SHAPE(latvalue_1d_))
       ENDIF
 
       IF (PRESENT(latvalue_2d_)) THEN
-        CALL cxios_get_domaingroup_latvalue_2d(domaingroup_hdl%daddr, latvalue_2d_, SHAPE(latvalue_2d_))
+        CALL cxios_get_domaingroup_latvalue_2d &
+      (domaingroup_hdl%daddr, latvalue_2d_, SHAPE(latvalue_2d_))
       ENDIF
 
       IF (PRESENT(long_name_)) THEN
-        CALL cxios_get_domaingroup_long_name(domaingroup_hdl%daddr, long_name_, len(long_name_))
+        CALL cxios_get_domaingroup_long_name &
+      (domaingroup_hdl%daddr, long_name_, len(long_name_))
       ENDIF
 
       IF (PRESENT(lonvalue_1d_)) THEN
-        CALL cxios_get_domaingroup_lonvalue_1d(domaingroup_hdl%daddr, lonvalue_1d_, SHAPE(lonvalue_1d_))
+        CALL cxios_get_domaingroup_lonvalue_1d &
+      (domaingroup_hdl%daddr, lonvalue_1d_, SHAPE(lonvalue_1d_))
       ENDIF
 
       IF (PRESENT(lonvalue_2d_)) THEN
-        CALL cxios_get_domaingroup_lonvalue_2d(domaingroup_hdl%daddr, lonvalue_2d_, SHAPE(lonvalue_2d_))
+        CALL cxios_get_domaingroup_lonvalue_2d &
+      (domaingroup_hdl%daddr, lonvalue_2d_, SHAPE(lonvalue_2d_))
       ENDIF
 
       IF (PRESENT(mask_1d_)) THEN
         ALLOCATE(mask_1d__tmp(SIZE(mask_1d_,1)))
-        CALL cxios_get_domaingroup_mask_1d(domaingroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
+        CALL cxios_get_domaingroup_mask_1d &
+      (domaingroup_hdl%daddr, mask_1d__tmp, SHAPE(mask_1d_))
         mask_1d_ = mask_1d__tmp
       ENDIF
@@ -551,38 +610,47 @@
       IF (PRESENT(mask_2d_)) THEN
         ALLOCATE(mask_2d__tmp(SIZE(mask_2d_,1), SIZE(mask_2d_,2)))
-        CALL cxios_get_domaingroup_mask_2d(domaingroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
+        CALL cxios_get_domaingroup_mask_2d &
+      (domaingroup_hdl%daddr, mask_2d__tmp, SHAPE(mask_2d_))
         mask_2d_ = mask_2d__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_get_domaingroup_name(domaingroup_hdl%daddr, name_, len(name_))
+        CALL cxios_get_domaingroup_name &
+      (domaingroup_hdl%daddr, name_, len(name_))
       ENDIF
 
       IF (PRESENT(ni_)) THEN
-        CALL cxios_get_domaingroup_ni(domaingroup_hdl%daddr, ni_)
+        CALL cxios_get_domaingroup_ni &
+      (domaingroup_hdl%daddr, ni_)
       ENDIF
 
       IF (PRESENT(ni_glo_)) THEN
-        CALL cxios_get_domaingroup_ni_glo(domaingroup_hdl%daddr, ni_glo_)
+        CALL cxios_get_domaingroup_ni_glo &
+      (domaingroup_hdl%daddr, ni_glo_)
       ENDIF
 
       IF (PRESENT(nj_)) THEN
-        CALL cxios_get_domaingroup_nj(domaingroup_hdl%daddr, nj_)
+        CALL cxios_get_domaingroup_nj &
+      (domaingroup_hdl%daddr, nj_)
       ENDIF
 
       IF (PRESENT(nj_glo_)) THEN
-        CALL cxios_get_domaingroup_nj_glo(domaingroup_hdl%daddr, nj_glo_)
+        CALL cxios_get_domaingroup_nj_glo &
+      (domaingroup_hdl%daddr, nj_glo_)
       ENDIF
 
       IF (PRESENT(nvertex_)) THEN
-        CALL cxios_get_domaingroup_nvertex(domaingroup_hdl%daddr, nvertex_)
+        CALL cxios_get_domaingroup_nvertex &
+      (domaingroup_hdl%daddr, nvertex_)
       ENDIF
 
       IF (PRESENT(standard_name_)) THEN
-        CALL cxios_get_domaingroup_standard_name(domaingroup_hdl%daddr, standard_name_, len(standard_name_))
+        CALL cxios_get_domaingroup_standard_name &
+      (domaingroup_hdl%daddr, standard_name_, len(standard_name_))
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        CALL cxios_get_domaingroup_type(domaingroup_hdl%daddr, type_, len(type_))
+        CALL cxios_get_domaingroup_type &
+      (domaingroup_hdl%daddr, type_, len(type_))
       ENDIF
 
@@ -665,5 +733,6 @@
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
-      CALL xios(get_domaingroup_handle)(domaingroup_id,domaingroup_hdl)
+      CALL xios(get_domaingroup_handle) &
+      (domaingroup_id,domaingroup_hdl)
       CALL xios(is_defined_domaingroup_attr_hdl_)   &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
@@ -834,165 +903,198 @@
 
       IF (PRESENT(area_)) THEN
-        area__tmp = cxios_is_defined_domaingroup_area(domaingroup_hdl%daddr)
+        area__tmp = cxios_is_defined_domaingroup_area &
+      (domaingroup_hdl%daddr)
         area_ = area__tmp
       ENDIF
 
       IF (PRESENT(bounds_lat_1d_)) THEN
-        bounds_lat_1d__tmp = cxios_is_defined_domaingroup_bounds_lat_1d(domaingroup_hdl%daddr)
+        bounds_lat_1d__tmp = cxios_is_defined_domaingroup_bounds_lat_1d &
+      (domaingroup_hdl%daddr)
         bounds_lat_1d_ = bounds_lat_1d__tmp
       ENDIF
 
       IF (PRESENT(bounds_lat_2d_)) THEN
-        bounds_lat_2d__tmp = cxios_is_defined_domaingroup_bounds_lat_2d(domaingroup_hdl%daddr)
+        bounds_lat_2d__tmp = cxios_is_defined_domaingroup_bounds_lat_2d &
+      (domaingroup_hdl%daddr)
         bounds_lat_2d_ = bounds_lat_2d__tmp
       ENDIF
 
       IF (PRESENT(bounds_lon_1d_)) THEN
-        bounds_lon_1d__tmp = cxios_is_defined_domaingroup_bounds_lon_1d(domaingroup_hdl%daddr)
+        bounds_lon_1d__tmp = cxios_is_defined_domaingroup_bounds_lon_1d &
+      (domaingroup_hdl%daddr)
         bounds_lon_1d_ = bounds_lon_1d__tmp
       ENDIF
 
       IF (PRESENT(bounds_lon_2d_)) THEN
-        bounds_lon_2d__tmp = cxios_is_defined_domaingroup_bounds_lon_2d(domaingroup_hdl%daddr)
+        bounds_lon_2d__tmp = cxios_is_defined_domaingroup_bounds_lon_2d &
+      (domaingroup_hdl%daddr)
         bounds_lon_2d_ = bounds_lon_2d__tmp
       ENDIF
 
       IF (PRESENT(data_dim_)) THEN
-        data_dim__tmp = cxios_is_defined_domaingroup_data_dim(domaingroup_hdl%daddr)
+        data_dim__tmp = cxios_is_defined_domaingroup_data_dim &
+      (domaingroup_hdl%daddr)
         data_dim_ = data_dim__tmp
       ENDIF
 
       IF (PRESENT(data_i_index_)) THEN
-        data_i_index__tmp = cxios_is_defined_domaingroup_data_i_index(domaingroup_hdl%daddr)
+        data_i_index__tmp = cxios_is_defined_domaingroup_data_i_index &
+      (domaingroup_hdl%daddr)
         data_i_index_ = data_i_index__tmp
       ENDIF
 
       IF (PRESENT(data_ibegin_)) THEN
-        data_ibegin__tmp = cxios_is_defined_domaingroup_data_ibegin(domaingroup_hdl%daddr)
+        data_ibegin__tmp = cxios_is_defined_domaingroup_data_ibegin &
+      (domaingroup_hdl%daddr)
         data_ibegin_ = data_ibegin__tmp
       ENDIF
 
       IF (PRESENT(data_j_index_)) THEN
-        data_j_index__tmp = cxios_is_defined_domaingroup_data_j_index(domaingroup_hdl%daddr)
+        data_j_index__tmp = cxios_is_defined_domaingroup_data_j_index &
+      (domaingroup_hdl%daddr)
         data_j_index_ = data_j_index__tmp
       ENDIF
 
       IF (PRESENT(data_jbegin_)) THEN
-        data_jbegin__tmp = cxios_is_defined_domaingroup_data_jbegin(domaingroup_hdl%daddr)
+        data_jbegin__tmp = cxios_is_defined_domaingroup_data_jbegin &
+      (domaingroup_hdl%daddr)
         data_jbegin_ = data_jbegin__tmp
       ENDIF
 
       IF (PRESENT(data_ni_)) THEN
-        data_ni__tmp = cxios_is_defined_domaingroup_data_ni(domaingroup_hdl%daddr)
+        data_ni__tmp = cxios_is_defined_domaingroup_data_ni &
+      (domaingroup_hdl%daddr)
         data_ni_ = data_ni__tmp
       ENDIF
 
       IF (PRESENT(data_nj_)) THEN
-        data_nj__tmp = cxios_is_defined_domaingroup_data_nj(domaingroup_hdl%daddr)
+        data_nj__tmp = cxios_is_defined_domaingroup_data_nj &
+      (domaingroup_hdl%daddr)
         data_nj_ = data_nj__tmp
       ENDIF
 
       IF (PRESENT(domain_ref_)) THEN
-        domain_ref__tmp = cxios_is_defined_domaingroup_domain_ref(domaingroup_hdl%daddr)
+        domain_ref__tmp = cxios_is_defined_domaingroup_domain_ref &
+      (domaingroup_hdl%daddr)
         domain_ref_ = domain_ref__tmp
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        group_ref__tmp = cxios_is_defined_domaingroup_group_ref(domaingroup_hdl%daddr)
+        group_ref__tmp = cxios_is_defined_domaingroup_group_ref &
+      (domaingroup_hdl%daddr)
         group_ref_ = group_ref__tmp
       ENDIF
 
       IF (PRESENT(i_index_)) THEN
-        i_index__tmp = cxios_is_defined_domaingroup_i_index(domaingroup_hdl%daddr)
+        i_index__tmp = cxios_is_defined_domaingroup_i_index &
+      (domaingroup_hdl%daddr)
         i_index_ = i_index__tmp
       ENDIF
 
       IF (PRESENT(ibegin_)) THEN
-        ibegin__tmp = cxios_is_defined_domaingroup_ibegin(domaingroup_hdl%daddr)
+        ibegin__tmp = cxios_is_defined_domaingroup_ibegin &
+      (domaingroup_hdl%daddr)
         ibegin_ = ibegin__tmp
       ENDIF
 
       IF (PRESENT(j_index_)) THEN
-        j_index__tmp = cxios_is_defined_domaingroup_j_index(domaingroup_hdl%daddr)
+        j_index__tmp = cxios_is_defined_domaingroup_j_index &
+      (domaingroup_hdl%daddr)
         j_index_ = j_index__tmp
       ENDIF
 
       IF (PRESENT(jbegin_)) THEN
-        jbegin__tmp = cxios_is_defined_domaingroup_jbegin(domaingroup_hdl%daddr)
+        jbegin__tmp = cxios_is_defined_domaingroup_jbegin &
+      (domaingroup_hdl%daddr)
         jbegin_ = jbegin__tmp
       ENDIF
 
       IF (PRESENT(latvalue_1d_)) THEN
-        latvalue_1d__tmp = cxios_is_defined_domaingroup_latvalue_1d(domaingroup_hdl%daddr)
+        latvalue_1d__tmp = cxios_is_defined_domaingroup_latvalue_1d &
+      (domaingroup_hdl%daddr)
         latvalue_1d_ = latvalue_1d__tmp
       ENDIF
 
       IF (PRESENT(latvalue_2d_)) THEN
-        latvalue_2d__tmp = cxios_is_defined_domaingroup_latvalue_2d(domaingroup_hdl%daddr)
+        latvalue_2d__tmp = cxios_is_defined_domaingroup_latvalue_2d &
+      (domaingroup_hdl%daddr)
         latvalue_2d_ = latvalue_2d__tmp
       ENDIF
 
       IF (PRESENT(long_name_)) THEN
-        long_name__tmp = cxios_is_defined_domaingroup_long_name(domaingroup_hdl%daddr)
+        long_name__tmp = cxios_is_defined_domaingroup_long_name &
+      (domaingroup_hdl%daddr)
         long_name_ = long_name__tmp
       ENDIF
 
       IF (PRESENT(lonvalue_1d_)) THEN
-        lonvalue_1d__tmp = cxios_is_defined_domaingroup_lonvalue_1d(domaingroup_hdl%daddr)
+        lonvalue_1d__tmp = cxios_is_defined_domaingroup_lonvalue_1d &
+      (domaingroup_hdl%daddr)
         lonvalue_1d_ = lonvalue_1d__tmp
       ENDIF
 
       IF (PRESENT(lonvalue_2d_)) THEN
-        lonvalue_2d__tmp = cxios_is_defined_domaingroup_lonvalue_2d(domaingroup_hdl%daddr)
+        lonvalue_2d__tmp = cxios_is_defined_domaingroup_lonvalue_2d &
+      (domaingroup_hdl%daddr)
         lonvalue_2d_ = lonvalue_2d__tmp
       ENDIF
 
       IF (PRESENT(mask_1d_)) THEN
-        mask_1d__tmp = cxios_is_defined_domaingroup_mask_1d(domaingroup_hdl%daddr)
+        mask_1d__tmp = cxios_is_defined_domaingroup_mask_1d &
+      (domaingroup_hdl%daddr)
         mask_1d_ = mask_1d__tmp
       ENDIF
 
       IF (PRESENT(mask_2d_)) THEN
-        mask_2d__tmp = cxios_is_defined_domaingroup_mask_2d(domaingroup_hdl%daddr)
+        mask_2d__tmp = cxios_is_defined_domaingroup_mask_2d &
+      (domaingroup_hdl%daddr)
         mask_2d_ = mask_2d__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        name__tmp = cxios_is_defined_domaingroup_name(domaingroup_hdl%daddr)
+        name__tmp = cxios_is_defined_domaingroup_name &
+      (domaingroup_hdl%daddr)
         name_ = name__tmp
       ENDIF
 
       IF (PRESENT(ni_)) THEN
-        ni__tmp = cxios_is_defined_domaingroup_ni(domaingroup_hdl%daddr)
+        ni__tmp = cxios_is_defined_domaingroup_ni &
+      (domaingroup_hdl%daddr)
         ni_ = ni__tmp
       ENDIF
 
       IF (PRESENT(ni_glo_)) THEN
-        ni_glo__tmp = cxios_is_defined_domaingroup_ni_glo(domaingroup_hdl%daddr)
+        ni_glo__tmp = cxios_is_defined_domaingroup_ni_glo &
+      (domaingroup_hdl%daddr)
         ni_glo_ = ni_glo__tmp
       ENDIF
 
       IF (PRESENT(nj_)) THEN
-        nj__tmp = cxios_is_defined_domaingroup_nj(domaingroup_hdl%daddr)
+        nj__tmp = cxios_is_defined_domaingroup_nj &
+      (domaingroup_hdl%daddr)
         nj_ = nj__tmp
       ENDIF
 
       IF (PRESENT(nj_glo_)) THEN
-        nj_glo__tmp = cxios_is_defined_domaingroup_nj_glo(domaingroup_hdl%daddr)
+        nj_glo__tmp = cxios_is_defined_domaingroup_nj_glo &
+      (domaingroup_hdl%daddr)
         nj_glo_ = nj_glo__tmp
       ENDIF
 
       IF (PRESENT(nvertex_)) THEN
-        nvertex__tmp = cxios_is_defined_domaingroup_nvertex(domaingroup_hdl%daddr)
+        nvertex__tmp = cxios_is_defined_domaingroup_nvertex &
+      (domaingroup_hdl%daddr)
         nvertex_ = nvertex__tmp
       ENDIF
 
       IF (PRESENT(standard_name_)) THEN
-        standard_name__tmp = cxios_is_defined_domaingroup_standard_name(domaingroup_hdl%daddr)
+        standard_name__tmp = cxios_is_defined_domaingroup_standard_name &
+      (domaingroup_hdl%daddr)
         standard_name_ = standard_name__tmp
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        type__tmp = cxios_is_defined_domaingroup_type(domaingroup_hdl%daddr)
+        type__tmp = cxios_is_defined_domaingroup_type &
+      (domaingroup_hdl%daddr)
         type_ = type__tmp
       ENDIF
